#!/bin/bash
#set -x

number="$1"
name="$2"
pseudo="$3"
key="$4"

recto_out=recto-out.jpeg
verso_out=verso-out.jpeg

text_to_image () {
  text="$1"
  fontsize="$2"
  output="$3"
  convert -size 1000x50 xc:white -gravity center -font "Cantarell-Extra-Bold" -pointsize "$fontsize" -fill black -draw 'text 0,0 "'"$text"'"' "$output"
  convert "$output" -trim "$output"
}

text_to_qrcode () {
  text="$1"
  output="$2"
  qrencode -t PNG -m 2 -s 8 "$text" -o "$output"
}

# 1. name -> image
text_to_image "$number" 42 number.jpeg
text_to_image "$name" 42 name.jpeg
text_to_image "$pseudo" 42 pseudo.jpeg
text_to_image "$key" 36 key.jpeg
text_to_qrcode "$key" qrcode.png

convert verso.jpeg \
  number.jpeg -geometry +535+96 -composite \
  name.jpeg -geometry +535+260 -composite \
  pseudo.jpeg -geometry +535+413 -composite \
  key.jpeg -geometry +47+575 -composite \
  $verso_out

convert recto.jpeg \
  qrcode.png -geometry +700+345 -composite \
  $recto_out
